> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/go-agent/go-agent-v1/downloading-the-go-agent.md).

# Downloading The Go Agent

## Agent Files <a href="#agent-files" id="agent-files"></a>

To integrate SeaLigts with your Golang project, you will need two different agent files: the `slgoagent` and the `slcli`.

Depending on your OS, the SeaLights Go Agent files can be downloaded from:

* `https://${DOMAIN}/slgoagent/latest/slgoagent-${OS_ARCH}.tar.gz`
* `https://${DOMAIN}/slcli/latest/slcli-${OS_ARCH}.tar.gz`

Where OS\_ARCH is one of: `darwin-amd64, darwin-arm64, linux-amd64, linux-arm64`, and DOMAIN can be our generic endpoint (`agents.sealights.co`) or your specific account domain endpoint (`<your_custom_domain>.sealights.co/agents`).

For your convenience, please find direct links to the agents in a single table

<table data-full-width="true"><thead><tr><th width="97.6666259765625">OS</th><th width="118.666748046875">Architecture</th><th width="475.3333740234375">slgoagent</th><th width="430.6666259765625">slcli</th></tr></thead><tbody><tr><td>Linux</td><td><code>x86-64</code></td><td><a href="https://agents.sealights.co/slgoagent/latest/slgoagent-linux-amd64.tar.gz">https://agents.sealights.co/slgoagent/latest/slgoagent-linux-amd64.tar.gz</a></td><td><a href="https://agents.sealights.co/slcli/latest/slcli-linux-amd64.tar.gz">https://agents.sealights.co/slcli/latest/slcli-linux-amd64.tar.gz</a></td></tr><tr><td></td><td><code>ARM64</code></td><td><a href="https://agents.sealights.co/slgoagent/latest/slgoagent-linux-arm64.tar.gz">https://agents.sealights.co/slgoagent/latest/slgoagent-linux-arm64.tar.gz</a></td><td><a href="https://agents.sealights.co/slcli/latest/slcli-linux-arm64.tar.gz">https://agents.sealights.co/slcli/latest/slcli-linux-arm64.tar.gz</a></td></tr><tr><td>MacOS</td><td><code>x86-64</code></td><td><a href="https://agents.sealights.co/slgoagent/latest/slgoagent-darwin-amd64.tar.gz">https://agents.sealights.co/slgoagent/latest/slgoagent-darwin-amd64.tar.gz</a></td><td><a href="https://agents.sealights.co/slcli/latest/slcli-darwin-amd64.tar.gz">https://agents.sealights.co/slcli/latest/slcli-darwin-amd64.tar.gz</a></td></tr><tr><td></td><td><code>ARM64</code></td><td><a href="https://agents.sealights.co/slgoagent/latest/slgoagent-darwin-arm64.tar.gz">https://agents.sealights.co/slgoagent/latest/slgoagent-darwin-arm64.tar.gz</a></td><td><a href="https://agents.sealights.co/slcli/latest/slcli-darwin-arm64.tar.gz">https://agents.sealights.co/slcli/latest/slcli-darwin-arm64.tar.gz</a></td></tr></tbody></table>

Download a token from the SeaLights dashboard and place the `sltoken.txt` file in the working directory.\
See '[Generating an Agent token](https://docs.sealights.io/knowledgebase/settings/token-access-and-management#token-list-and-token-creation-2)' for instructions on how to generate a token.

### Sample script <a href="#sample-script" id="sample-script"></a>

#### Downloading the latest version <a href="#downloading-the-latest-version" id="downloading-the-latest-version"></a>

{% code overflow="wrap" lineNumbers="true" fullWidth="false" %}

```sh
echo "[Sealights] Downloading Sealights Golang & CLI Agents..
wget -nv -O sealights-slcli.tar.gz https://agents.sealights.co/slcli/latest/slcli-linux-amd64.tar.gz

tar -xzf ./sealights-go-agent.tar.gz && tar -xzf ./sealights-slcli.tar.gz 
rm -f ./sealights-go-agent.tar.gz ./sealights-slcli.tar.gz 
./slgoagent -v 2> /dev/null | grep version && ./slcli -v 2> /dev/null | grep version
```

{% endcode %}

#### Downloading a specific version <a href="#downloading-a-specific-version" id="downloading-a-specific-version"></a>

Replace “latest” with the desired version when downloading a specific version. Please note the format of the specific version URL that includes the `v` prefix.

{% code overflow="wrap" lineNumbers="true" fullWidth="false" %}

```sh
# Architectures available: darwin-amd64, darwin-arm64, linux-amd64, linux-arm64
SL_OS_ARCH=linux-amd64
SL_GO_AGENT_VERSION=v1.1.183
SL_CLI_AGENT_VERSION=v1.0.46

echo "[Sealights] Downloading Sealights Golang & CLI Agents..."
wget -nv -O sealights-go-agent.tar.gz https://agents.sealights.co/slgoagent/${SL_GO_AGENT_VERSION}/slgoagent-${SL_OS_ARCH}.tar.gz
wget -nv -O sealights-slcli.tar.gz https://agents.sealights.co/slcli/${SL_CLI_AGENT_VERSION}/slcli-${SL_OS_ARCH}.tar.gz

tar -xzf ./sealights-go-agent.tar.gz && tar -xzf ./sealights-slcli.tar.gz 
rm -f ./sealights-go-agent.tar.gz ./sealights-slcli.tar.gz 
./slgoagent -v 2> /dev/null | grep version && ./slcli -v 2> /dev/null | grep version
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/go-agent/go-agent-v1/downloading-the-go-agent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
